> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olie.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar execuções da empresa

> Busca avançada nas execuções da empresa, com filtros por operador, ordenação e paginação no corpo. Sem `sorting`, ordena pelo início mais recente. Valem as mesmas regras de visibilidade da listagem da empresa; com `project_id` ou `user_id`, a busca fica restrita a esse projeto ou pessoa, desde que você possa vê-lo.

Veja [Busca avançada](https://docs.olie.ai/api-reference/general/advanced-search) e [Paginação](https://docs.olie.ai/api-reference/general/pagination).



## OpenAPI

````yaml /api-reference/openapi.json post /api/management/project-executions/search
openapi: 3.0.0
info:
  title: Olie API
  version: 1.0.0
  description: >
    # Introdução 👋


    Olá! Esta é a documentação oficial da API da [olie.ai](https://olie.ai/).
    Aqui você encontra as referências e exemplos de uso dos nossos endpoints.


    Para uma visão completa, recomendamos fortemente que você leia a
    [documentação oficial](https://docs.olie.ai/api-reference/introduction). Lá
    estão detalhados tópicos essenciais como
    [autenticação](https://docs.olie.ai/api-reference/introduction/authentication),
    [estrutura de
    respostas](https://docs.olie.ai/api-reference/general/response-structure),
    [paginação](https://docs.olie.ai/api-reference/general/pagination) e outros
    guias de integração.


    No Postman, esta coleção foca nas informações específicas de cada requisição
    (endpoints, parâmetros e exemplos), servindo como apoio rápido para testes e
    desenvolvimento.
servers:
  - url: https://api.olie.ai
security:
  - BearerAuth: []
paths:
  /api/management/project-executions/search:
    post:
      tags:
        - projects
        - Execuções
      summary: Buscar execuções da empresa
      description: >-
        Busca avançada nas execuções da empresa, com filtros por operador,
        ordenação e paginação no corpo. Sem `sorting`, ordena pelo início mais
        recente. Valem as mesmas regras de visibilidade da listagem da empresa;
        com `project_id` ou `user_id`, a busca fica restrita a esse projeto ou
        pessoa, desde que você possa vê-lo.


        Veja [Busca
        avançada](https://docs.olie.ai/api-reference/general/advanced-search) e
        [Paginação](https://docs.olie.ai/api-reference/general/pagination).
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        type: string
                      operator:
                        type: string
                      value:
                        type: boolean
                      logical_operator:
                        type: string
                sorting:
                  type: array
                  items:
                    type: object
                    properties:
                      field:
                        type: string
                      direction:
                        type: string
                project_id:
                  nullable: true
                user_id:
                  nullable: true
                page:
                  type: integer
                perPage:
                  type: integer
            example:
              filters:
                - field: is_running
                  operator: equals
                  value: true
                  logical_operator: and
              sorting:
                - field: started_at
                  direction: desc
              project_id: null
              user_id: null
              page: 1
              perPage: 30
      responses:
        '200':
          description: Sucesso
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                      from:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                      to:
                        type: integer
                      total:
                        type: integer
                  project_executions:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        project_id:
                          type: string
                        user_id:
                          type: string
                        funnel_step_id:
                          type: integer
                        started_at:
                          type: string
                          format: date-time
                        finished_at:
                          nullable: true
                        hourly_rate:
                          type: integer
                        finished_reason:
                          nullable: true
                        started_at_real:
                          nullable: true
                        finished_at_real:
                          nullable: true
                        duration:
                          type: integer
                        project:
                          type: object
                          properties:
                            id:
                              type: string
                            code:
                              type: string
                            name:
                              type: string
                            is_template:
                              type: boolean
                            deleted_at:
                              nullable: true
                            customer:
                              type: object
                              properties:
                                id:
                                  type: string
                                name:
                                  type: string
                        user:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                            avatar_url:
                              nullable: true
                        funnel_step:
                          type: object
                          properties:
                            id:
                              type: integer
                            name:
                              type: string
                            project_funnel_id:
                              type: integer
                            funnel:
                              type: object
                              properties:
                                id:
                                  type: integer
                                name:
                                  type: string
              example:
                response: true
                meta:
                  current_page: 1
                  from: 1
                  last_page: 1
                  per_page: 30
                  to: 1
                  total: 1
                project_executions:
                  - id: a1f0c3d2-5b6e-4f70-8a91-b2c3d4e5f607
                    project_id: 019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
                    user_id: 019c1e87-63f4-71dd-a4e3-6eaea0619c2f
                    funnel_step_id: 181
                    started_at: '2026-10-30T12:00:00.000000Z'
                    finished_at: null
                    hourly_rate: 85
                    finished_reason: null
                    started_at_real: null
                    finished_at_real: null
                    duration: 2700
                    project:
                      id: 019e0edb-aa7c-70c4-9d2d-3a2f175b5ddf
                      code: SC-1
                      name: Shopping Center
                      is_template: false
                      deleted_at: null
                      customer:
                        id: 019d2a41-7c3e-7b10-8f6e-1a2b3c4d5e6f
                        name: Cliente Exemplo Ltda
                    user:
                      id: 019c1e87-63f4-71dd-a4e3-6eaea0619c2f
                      name: Nome do usuário
                      avatar_url: null
                    funnel_step:
                      id: 181
                      name: Execução
                      project_funnel_id: 36
                      funnel:
                        id: 36
                        name: Obras
        '422':
          description: Campo de filtro inválido
          content:
            application/json:
              schema:
                type: object
                properties:
                  response:
                    type: boolean
                  message:
                    type: string
                  error:
                    type: string
                  validation:
                    type: object
                    properties:
                      field:
                        type: array
                        items:
                          type: string
              example:
                response: false
                message: validation_errors
                error: >-
                  O campo [status] selecionado é inválido. Campos disponíveis:
                  id, user_id, project_id, funnel_step_id, project_funnel_id,
                  started_at, finished_at, is_running, name_code.
                validation:
                  field:
                    - >-
                      O campo [status] selecionado é inválido. Campos
                      disponíveis: id, user_id, project_id, funnel_step_id,
                      project_funnel_id, started_at, finished_at, is_running,
                      name_code.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.